from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTask(XFrame, Protocol):
    def close(self) -> bool: ...
    def tileWindows(self) -> None: ...
    def arrangeWindowsVertical(self) -> None: ...
    def arrangeWindowsHorizontal(self) -> None: ...
